The tuple/pop_front.hpp header defines macros to pop an element from the beginning of an tuple.

#### Usage

#include <boost/preprocessor/tuple/pop_front.hpp>

#### Contents

- BOOST_PP_TUPLE_POP_FRONT (v)
- BOOST_PP_TUPLE_POP_FRONT_Z (v)

© Copyright Edward Diener 2013

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)